How to upgrade the Oracle Client in DataMaker

Document ID : KB000011847
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

When I install DataMaker,  it is using an Oracle 11g client,  but I need to use a 12g client to work with my Oracle 12g database. Is there a way to upgrade the client

Environment:
TDM 3.8 on Windows
Answer:

Datamaker uses an Oracle Instant Client 11.2.0.1 that is located under (C:\Program Files (x86)\Grid_Tools\)GTDatamaker folder. We have not tested Datamaker using later versions and we don’t have a process to upgrade the Oracle instant client.  We will look into shipping a later version with the product in a future release.

 

There is a workaround, but it’s not QA’ed. What you can do is download the Oracle Instant Client from the following location (http://www.oracle.com/technetwork/topics/winsoft-085727.html ) by unzipping the contents to your GTDatamaker folder. Just grab the version “Instant Client Package - Basic: All files required to run OCI, OCCI, and JDBC-OCI applications” 

 

Make sure your TDM services are down when overlaying the Oracle Instant Client files.